Package ru.bitel.bgbilling.modules.mps.server.bean

# Class FindContractUtils

java.lang.Object
ru.bitel.bgbilling.modules.mps.server.bean.FindContractUtils

public class FindContractUtils extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindContractUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static int`
  `findContractByCerbercrypt(Connection con, int mid, String card)`
  `static int`
  `findContractByEmail(Connection con, String email)`
  `static int`
  `findContractByInetLogin(Connection con, int moduleId, String inetLogin)`
  `static int`
  `findContractByLogin(Connection con, int mid, String login)`
  `static int`
  `findContractByMPSLogin(Connection con, int mid, String _login)`
  `static int`
  `findContractByParameter(Connection con, int parameterId, String value)`
  `static int`
  `findContractByPhone(Connection con, int mid, String phone)`
  `static int`
  `findContractByTitle(Connection con, String title)`
  `static int`
  `findContractByVoice(Connection con, int mid, String phone)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FindContractUtils

    public FindContractUtils()

- ## Method Details

  - ### findContractByParameter

    public static int findContractByParameter(Connection con, int parameterId, String value) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### findContractByEmail

    public static int findContractByEmail(Connection con, String email)

  - ### findContractByLogin

    public static int findContractByLogin(Connection con, int mid, String login)

  - ### findContractByVoice

    public static int findContractByVoice(Connection con, int mid, String phone)

  - ### findContractByPhone

    public static int findContractByPhone(Connection con, int mid, String phone)

  - ### findContractByTitle

    public static int findContractByTitle(Connection con, String title)

  - ### findContractByCerbercrypt

    public static int findContractByCerbercrypt(Connection con, int mid, String card)

  - ### findContractByMPSLogin

    public static int findContractByMPSLogin(Connection con, int mid, String _login)

  - ### findContractByInetLogin

    public static int findContractByInetLogin(Connection con, int moduleId, String inetLogin) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`